Subject: Find a Russian wife here.

From: [email-masked]
Date: Mon, 28 Feb 2011 06:58:46 -0800 (PST)

Russian women are known all over the world as the best wives.

They are loving and sincere, caring and thoughtful and they will never let
you down.

So if you are looking for a person to share your life with, choose one
here.